# Method: organizations.locations.securityCenterServices.patch

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityCenterServices/patch#try-it)

Updates a Security Command Center service using the given update mask.

### HTTP request

`PATCH https://securitycentermanagement.googleapis.com/v1/{securityCenterService.name=organizations/*/locations/*/securityCenterServices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `securityCenterService.name` | `string` Identifier. The name of the service, in one of the following formats: - `organizations/{organization}/locations/{location}/securityCenterServices/{service}` - `folders/{folder}/locations/{location}/securityCenterServices/{service}` - `projects/{project}/locations/{location}/securityCenterServices/{service}` The following values are valid for `{service}`: - `container-threat-detection` - `event-threat-detection` - `security-health-analytics` - `vm-threat-detection` - `web-security-scanner` - `vm-threat-detection-aws` - `cloud-run-threat-detection` - `vm-manager` - `ec2-vulnerability-assessment` - `gce-vulnerability-assessment` - `azure-vulnerability-assessment` - `notebook-security-scanner` - `artifact-analysis` - `agent-engine-threat-detection` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Required. The fields to update. Accepts the following values: - `intendedEnablementState` - `modules` If omitted, then all eligible fields are updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` Optional. When set to `true`, the request will be validated (including IAM checks), but no service will be updated. An `OK` response indicates that the request is valid, while an error response indicates that the request is invalid. If the request is valid, a subsequent request to update the service could still fail for one of the following reasons: - The state of your cloud resources changed; for example, you lost a required IAM permission - An error occurred during update of the service Defaults to `false`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityCenterServices#SecurityCenterService`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityCenterServices#SecurityCenterService`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securitycentermanagement.securityCenterServices.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).